local setup_functions = {
	"init",
	"_set_easy",
	"_set_normal",
	"_set_hard",
	"_set_overkill",
	"_set_overkill_145",
	"_set_easy_wish",
	"_set_overkill_290",
	"_set_sm_wish"
}

for _, function_name in ipairs(setup_functions) do
	Hooks:PostHook( CharacterTweakData, function_name, "TaserDozer_" .. function_name, function(self)
		self.tank_taser = deep_clone(self.tank)
		table.insert(self.tank_taser.tags, "taser")
		self.tank_taser.weapon = deep_clone(self.taser.weapon)

		table.insert(self._enemy_list, "tank_taser")
	end)
end
